{
  "compilerOptions": {
    "target": "ES2017",
    "lib": ["dom", "dom.iterable", "esnext"],

    // Make local stuff available for non-relative import
    "baseUrl": "./",
    "paths": {
      "muzak/config/*": ["./src/config/*"],
      "muzak/data/*": ["./src/data/*"],
      "muzak/app/*": ["./src/app/*"],
      "muzak/components/*": ["./src/components/*"],
      "muzak/contexts/*": ["./src/contexts/*"]
    },

    "allowJs": false,
    "skipLibCheck": true,
    "strict": false,
    "noEmit": true,
    "incremental": true,
    "module": "esnext",
    "esModuleInterop": true,
    "moduleResolution": "node",
    "resolveJsonModule": true,
    "isolatedModules": true,
    "jsx": "preserve",
    "plugins": [
      {
        "name": "next"
      }
    ]
  },
  "include": [
    "next-env.d.ts",
    ".next/types/**/*.ts",
    "**/*.ts",
    "**/*.tsx",
    "src/data/users.json"
  ],
  "exclude": ["node_modules"]
}
